#ifndef TOPHITBOX_H
#define TOPHITBOX_H

#include <QObject>
#include <QGraphicsPixmapItem>

class topHitbox : public QObject, public QGraphicsPixmapItem
{
    Q_OBJECT
public:
    explicit topHitbox(QPixmap);
    virtual ~topHitbox();

public slots:
    void newPos(qreal x, qreal y);

signals:
    void movedHB(topHitbox * topHB);

private:
    qreal m_x;
    qreal m_y;
};

#endif // TOPHITBOX_H
